Bug 26501 - Article requests: Add datatables to requests form in staff client
Summary: Article requests: Add datatables to requests form in staff client
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-21 13:01 UTC by Marcel de Rooy
Modified: 2020-10-20 17:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26501: Add datatables to article-requests form (11.46 KB, patch)
2020-09-21 13:43 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26501: Add datatables to article-requests form (11.47 KB, patch)
2020-09-22 11:09 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 26501: Add datatables to article-requests form (11.48 KB, patch)
2020-09-23 13:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26501: Add datatables to article-requests form (11.53 KB, patch)
2020-09-23 18:29 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2020-09-21 13:01:07 UTC

    
Comment 1 Marcel de Rooy 2020-09-21 13:43:04 UTC
Created attachment 110470 [details] [review]
Bug 26501: Add datatables to article-requests form

Actually two tables: one for pending and processing.
Variable active_table has been renamed to active_tab.
To prevent a flickering form we hide stuff until ready.

Test plan:
[1] Submit a few article requests.
[2] Verify that Process, Complete and Cancel still work via Actions.
[3] Test again with multiselect and top Actions menu.
[4] Test Search and Sort on the datatable.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Owen Leonard 2020-09-21 14:21:10 UTC
In my test the "Complete request" menu item trips a JavaScript error under both the "Pending" and "Processing" tabs: "Uncaught ReferenceError: active_table is not defined"
Comment 3 Marcel de Rooy 2020-09-22 11:04:45 UTC
(In reply to Owen Leonard from comment #2)
> In my test the "Complete request" menu item trips a JavaScript error under
> both the "Pending" and "Processing" tabs: "Uncaught ReferenceError:
> active_table is not defined"

Have tested quite a bit but also with different versions. So i will retest right away. Thanks.
Comment 4 Marcel de Rooy 2020-09-22 11:09:19 UTC
Created attachment 110532 [details] [review]
Bug 26501: Add datatables to article-requests form

Actually two tables: one for pending and processing.
Variable active_table has been renamed to active_tab.
To prevent a flickering form we hide stuff until ready.

Test plan:
[1] Submit a few article requests.
[2] Verify that Process, Complete and Cancel still work via Actions.
[3] Test again with multiselect and top Actions menu.
[4] Test Search and Sort on the datatable.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2020-09-22 11:10:04 UTC
-                    active_table.row( a.closest('tr') ).remove().draw();
+                    active_datatable.row( a.closest('tr') ).remove().draw();

Typo.
I used Process and Cancel to test. Probably skipped Complete completely ;)
Comment 6 Owen Leonard 2020-09-23 13:51:32 UTC
Created attachment 110600 [details] [review]
Bug 26501: Add datatables to article-requests form

Actually two tables: one for pending and processing.
Variable active_table has been renamed to active_tab.
To prevent a flickering form we hide stuff until ready.

Test plan:
[1] Submit a few article requests.
[2] Verify that Process, Complete and Cancel still work via Actions.
[3] Test again with multiselect and top Actions menu.
[4] Test Search and Sort on the datatable.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Marcel de Rooy 2020-09-23 14:56:08 UTC
(In reply to Owen Leonard from comment #6)
> Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Great!
Comment 8 Katrin Fischer 2020-09-23 18:29:23 UTC
Created attachment 110613 [details] [review]
Bug 26501: Add datatables to article-requests form

Actually two tables: one for pending and processing.
Variable active_table has been renamed to active_tab.
To prevent a flickering form we hide stuff until ready.

Test plan:
[1] Submit a few article requests.
[2] Verify that Process, Complete and Cancel still work via Actions.
[3] Test again with multiselect and top Actions menu.
[4] Test Search and Sort on the datatable.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Marcel de Rooy 2020-09-24 05:57:37 UTC
(In reply to Katrin Fischer from comment #8)
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Thx
Comment 10 Jonathan Druart 2020-10-01 09:46:16 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-10-20 17:28:51 UTC
enhancement will not be backported to 20.05.x